Go to the first, previous, next, last section, table of contents.

### rtag options

These standard options are supported by `rtag` (see section Common command options, for a complete description of them):

`-D date`
  Tag the most recent revision no later than date.
`-f`
  Only useful with the ``-D date'` or ``-r tag'` flags. If no matching revision is found, use the most recent revision (instead of ignoring the file).
`-F`
  Overwrite an existing tag of the same name on a different revision. This option is new in CVS 1.4. The old behavior is matched by ``cvs tag -F'`.
`-l`
  Local; run only in current working directory.
`-n`
  Do not run any tag program that was specified with the ``-t'` flag inside the ``modules'` file. (see section The modules file).
`-R`
  Commit directories recursively. This is on by default.
`-r tag`
  Only tag those files that contain tag. This can be used to rename a tag: tag only the files identified by the old tag, then delete the old tag, leaving the new tag on exactly the same files as the old tag.

In addition to the above common options, these options are available:

`-a`
  Use the ``-a'` option to have `rtag` look in the ``Attic'` (see section Removing files from a module) for removed files that contain the specified tag. The tag is removed from these files, which makes it convenient to re-use a symbolic tag as development continues (and files get removed from the up-coming distribution).
`-b`
  Make the tag a branch tag. See section Branches.
`-d`
  Delete the tag instead of creating it. In general, tags (often the symbolic names of software distributions) should not be removed, but the ``-d'` option is available as a means to remove completely obsolete symbolic names if necessary (as might be the case for an Alpha release, or if you mistagged a module).

Go to the first, previous, next, last section, table of contents.